<?php

class ui_config_module_dashamail extends ui_config_module {

  public $headerText = NETCAT_MODULE_STATS;
  public $headerImage = 'i_module_stats_big.gif';

  function ui_config_module_dashamail ($active_tab = 'admin', $toolbar_action = 'login') {
    global $db, $MODULE_FOLDER;
    $this->ui_config_module('dashamail', $active_tab);

    if ($active_tab == 'admin') {
      $this->toolbar[] = array('id' => "login",
        'caption' => 'Проверка соединения',
        'location' => "module.dashamail.login",
        'group' => "group");

      $this->toolbar[] = array('id' => "form_generator",
        'caption' => 'Генератор html форм подписки',
        'location' => "module.dashamail.form_generator",
        'group' => "group");

      $this->toolbar[] = array('id' => "export_dasha_module_users",
        'caption' => 'Экспорт подписчиков модуля "DashaMail"',
        'location' => "module.dashamail.export_dasha_module_users",
        'group' => "group");

      $this->toolbar[] = array('id' => "export_netcat_users",
        'caption' => 'Экспорт пользователей Netcat',
        'location' => "module.dashamail.export_netcat_users",
        'group' => "group");

      $this->toolbar[] = array('id' => "export_subscriber_module_users",
        'caption' => 'Экспорт подписчиков модуля "Подписка и рассылка"',
        'location' => "module.dashamail.export_subscriber_module_users",
        'group' => "group");

      $this->toolbar[] = array('id' => "export_netshop_module_users",
        'caption' => 'Экспорт покупателей модуля "Netshop"',
        'location' => "module.dashamail.export_netshop_module_users",
        'group' => "group");

      $this->locationHash = "module.dashamail.$toolbar_action";

      $this->activeToolbarButtons[] = $toolbar_action;
    }
  }
}

?>
